## org.eclipse.emf.edit.ui.provider
Class AdapterFactoryLabelProvider.FontAndColorProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontAndColorProvider

All Implemented Interfaces:
  INotifyChangedListener, IBaseLabelProvider, IColorProvider, IFontProvider, ILabelProvider, ITableColorProvider, ITableFontProvider, ITableLabelProvider

Enclosing class:
  AdapterFactoryLabelProvider

    public static class AdapterFactoryLabelProvider.FontAndColorProvider

extends AdapterFactoryLabelProvider
implements IColorProvider, IFontProvider, ITableColorProvider, ITableFontProvider

An extended version of the adapter factory label provider that also provides for fonts and colors.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`adapterFactory, defaultBackground, defaultFont, defaultForeground, labelProviderListeners`

Constructor Summary
`AdapterFactoryLabelProvider.FontAndColorProvider(AdapterFactory adapterFactory, Font defaultFont, Color defaultForeground, Color defaultBackground)` Construct an instance that wraps the given factory and specifies the given default font and colors.
`AdapterFactoryLabelProvider.FontAndColorProvider(AdapterFactory adapterFactory, Viewer viewer)` Construct an instance that wraps the given factory and uses the font and colors of the viewer's control.

Method Summary

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColorFromObject, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFont, getFontFromObject, getForeground, getForeground, getImage, getImageFromObject, getText, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IColorProvider
`getBackground, getForeground`

Methods inherited from interface org.eclipse.jface.viewers.IFontProvider
`getFont`

Methods inherited from interface org.eclipse.jface.viewers.ITableColorProvider
`getBackground, getForeground`

Methods inherited from interface org.eclipse.jface.viewers.ITableFontProvider
`getFont`

Constructor Detail

### AdapterFactoryLabelProvider.FontAndColorProvider

    public AdapterFactoryLabelProvider.FontAndColorProvider(AdapterFactory adapterFactory,
                                                            Font defaultFont,
                                                            Color defaultForeground,
                                                            Color defaultBackground)

  Construct an instance that wraps the given factory and specifies the given default font and colors.

  Parameters:
    `adapterFactory` - an adapter factory that yield adapters that implement the various item label provider interfaces.
    `defaultFont` - the font that will be used when no font is specified.
    `defaultForeground` - the foreground color that will be used when no foreground color is specified.
    `defaultBackground` - the background color that will be used when no background color is specified.

### AdapterFactoryLabelProvider.FontAndColorProvider

    public AdapterFactoryLabelProvider.FontAndColorProvider(AdapterFactory adapterFactory,
                                                            Viewer viewer)

  Construct an instance that wraps the given factory and uses the font and colors of the viewer's control.

  Parameters:
    `adapterFactory` - an adapter factory that yield adapters that implement the various item label provider interfaces.
    `viewer` - the viewer for which the control's font and color should be used.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.